"""correcting restore and image

Revision ID: f2e524e1e04d
Revises: 34d7311d8290
Create Date: 2021-07-22 12:56:45.067121

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "f2e524e1e04d"
down_revision = "34d7311d8290"
branch_labels = None
depends_on = None


ppr = """<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ns2:SciPipeRequest xmlns:ns2="Common/pipelinescience/SciPipeRequest">
    <ProjectSummary>
        <ProposalCode>VLA/{{projectCode}}</ProposalCode>
        <Observatory>NRAO</Observatory>
        <Telescope>VLA</Telescope>
        <ProcessingSite>Socorro</ProcessingSite>
        <Operator>vlapipe</Operator>
        <Mode>SCIENCE</Mode>
        <Version>NGRH-ALMA-10_8</Version>
        <CreationTime>{{created_at}}</CreationTime>
    </ProjectSummary>
    <ProjectStructure>TBD</ProjectStructure>
    <ProcessingRequests>
        <RootDirectory>{{root_directory}}</RootDirectory>
        <ProcessingRequest>
            <ProcessingIntents/>
            <ProcessingProcedure>
                <ProcedureTitle>Workspaces Restore Imaging</ProcedureTitle>
                <ProcessingCommand>
                    <Command>hifv_restoredata</Command>
                    <ParameterSet/>
                </ProcessingCommand>
                <ProcessingCommand>
                    <Command>hifv_statwt</Command>
                    <ParameterSet/>
                </ProcessingCommand>
                <ProcessingCommand>
                    <Command xmlns="">hif_mstransform</Command>
                    <ParameterSet>
                    </ParameterSet>
                </ProcessingCommand>
                <ProcessingCommand>
                    <Command xmlns="">hif_checkproductsize</Command>
                    <ParameterSet>
                        <Parameter>
                            <Keyword xmlns="">maximsize</Keyword>
                            <Value xmlns="">16384</Value>
                        </Parameter>
                    </ParameterSet>
                </ProcessingCommand>
                <ProcessingCommand>
                    <Command xmlns="">hif_makeimlist</Command>
                    <ParameterSet>
                        <Parameter>
                            <Keyword xmlns="">specmode</Keyword>
                            <Value xmlns="">cont</Value>
                        </Parameter>
                    </ParameterSet>
                </ProcessingCommand>
                <ProcessingCommand>
                    <Command xmlns="">hif_makeimages</Command>
                    <ParameterSet>
                        <Parameter>
                            <Keyword xmlns="">hm_masking</Keyword>
                            <Value xmlns="">none</Value>
                        </Parameter>
                        <Parameter>
                            <Keyword xmlns="">hm_cyclefactor</Keyword>
                            <Value xmlns="">3.0</Value>
                        </Parameter>
                    </ParameterSet>
                </ProcessingCommand>
                <ProcessingCommand>
                    <Command xmlns="">hifv_exportdata</Command>
                    <ParameterSet>
                        <Parameter>
                            <Keyword xmlns="">imaging_products_only</Keyword>
                            <Value xmlns="">True</Value>
                        </Parameter>
                    </ParameterSet>
                </ProcessingCommand>
            </ProcessingProcedure>
            <DataSet>
                <RelativePath>{{relative_path}}</RelativePath>
                <SdmIdentifier>{{sdmId}}</SdmIdentifier>
                <DataType>asdm</DataType>
            </DataSet>
        </ProcessingRequest>
    </ProcessingRequests>
</ns2:SciPipeRequest>

"""

old_ppr = """<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ns2:SciPipeRequest xmlns:ns2="Common/pipelinescience/SciPipeRequest">
    <ProjectSummary>
        <ProposalCode>VLA/{{projectCode}}</ProposalCode>
        <Observatory>NRAO</Observatory>
        <Telescope>VLA</Telescope>
        <ProcessingSite>Socorro</ProcessingSite>
        <Operator>vlapipe</Operator>
        <Mode>SCIENCE</Mode>
        <Version>NGRH-ALMA-10_8</Version>
        <CreationTime>{{created_at}}</CreationTime>
    </ProjectSummary>
    <ProjectStructure>TBD</ProjectStructure>
    <ProcessingRequests>
        <RootDirectory>{{root_directory}}</RootDirectory>
        <ProcessingRequest>
            <ProcessingIntents/>
            <ProcessingProcedure>
                <ProcedureTitle>Workspaces Restore Imaging</ProcedureTitle>
                <ProcessingCommand>
                    <Command>hifv_restoredata</Command>
                    <ParameterSet/>
                </ProcessingCommand>
                <ProcessingCommand>
                    <Command>hifv_statwt</Command>
                    <ParameterSet/>
                </ProcessingCommand>
                <ProcessingCommand>
                    <Command xmlns="">breakpoint</Command>
                    <ParameterSet>
                    </ParameterSet>
                </ProcessingCommand>
                <ProcessingCommand>
                    <Command xmlns="">hif_mstransform</Command>
                    <ParameterSet>
                    </ParameterSet>
                </ProcessingCommand>
                <ProcessingCommand>
                    <Command xmlns="">hif_checkproductsize</Command>
                    <ParameterSet>
                        <Parameter>
                            <Keyword xmlns="">maximsize</Keyword>
                            <Value xmlns="">16384</Value>
                        </Parameter>
                    </ParameterSet>
                </ProcessingCommand>
                <ProcessingCommand>
                    <Command xmlns="">hif_makeimlist</Command>
                    <ParameterSet>
                        <Parameter>
                            <Keyword xmlns="">specmode</Keyword>
                            <Value xmlns="">cont</Value>
                        </Parameter>
                    </ParameterSet>
                </ProcessingCommand>
                <ProcessingCommand>
                    <Command xmlns="">hif_makeimages</Command>
                    <ParameterSet>
                        <Parameter>
                            <Keyword xmlns="">hm_masking</Keyword>
                            <Value xmlns="">none</Value>
                        </Parameter>
                        <Parameter>
                            <Keyword xmlns="">hm_cyclefactor</Keyword>
                            <Value xmlns="">3.0</Value>
                        </Parameter>
                    </ParameterSet>
                </ProcessingCommand>
                <ProcessingCommand>
                    <Command xmlns="">hifv_exportdata</Command>
                    <ParameterSet>
                        <Parameter>
                            <Keyword xmlns="">imaging_products_only</Keyword>
                            <Value xmlns="">True</Value>
                        </Parameter>
                    </ParameterSet>
                </ProcessingCommand>
            </ProcessingProcedure>
            <DataSet>
                <RelativePath>{{relative_path}}</RelativePath>
                <SdmIdentifier>{{sdmId}}</SdmIdentifier>
                <DataType>asdm</DataType>
            </DataSet>
        </ProcessingRequest>
    </ProcessingRequests>
</ns2:SciPipeRequest>

"""


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{ppr}' WHERE filename='PPR.xml' AND workflow_name='std_restore_imaging'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{old_ppr}' WHERE filename='PPR.xml' AND workflow_name='std_restore_imaging'
        """
    )
